Show / Hide Table of Contents

# Class SslClientAuthenticationOptions

##### Inheritance

Object
SslClientAuthenticationOptions

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Extensions

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class SslClientAuthenticationOptions

### Properties

#### AllowRenegotiation

##### Declaration

    public bool AllowRenegotiation { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

#### ApplicationProtocols

##### Declaration

    public List<SslApplicationProtocol> ApplicationProtocols { get; set; }

##### Property Value

Type | Description
--- | ---
List<SslApplicationProtocol> |

#### CertificateRevocationCheckMode

##### Declaration

    public X509RevocationMode CertificateRevocationCheckMode { get; set; }

##### Property Value

Type | Description
--- | ---
X509RevocationMode |

#### ClientCertificates

##### Declaration

    public X509CertificateCollection ClientCertificates { get; set; }

##### Property Value

Type | Description
--- | ---
X509CertificateCollection |

#### EnabledSslProtocols

##### Declaration

    public SslProtocols EnabledSslProtocols { get; set; }

##### Property Value

Type | Description
--- | ---
SslProtocols |

#### EncryptionPolicy

##### Declaration

    public EncryptionPolicy EncryptionPolicy { get; set; }

##### Property Value

Type | Description
--- | ---
EncryptionPolicy |

#### LocalCertificateSelectionCallback

##### Declaration

    public LocalCertificateSelectionCallback LocalCertificateSelectionCallback { get; set; }

##### Property Value

Type | Description
--- | ---
LocalCertificateSelectionCallback |

#### RemoteCertificateValidationCallback

##### Declaration

    public RemoteCertificateValidationCallback RemoteCertificateValidationCallback { get; set; }

##### Property Value

Type | Description
--- | ---
RemoteCertificateValidationCallback |

#### TargetHost

##### Declaration

    public string TargetHost { get; set; }

##### Property Value

Type | Description
--- | ---
String |